GET

/api/v1/exchanges/:id/balance_chart_data

Permission: EXCHANGES_READSecurity: SIGNED

Returns the balance history for a specific exchange connection using its ID. By replacing id with 'summary', you can use the /api/v1/exchanges/summary/balance_chart_data endpoint to retrieve aggregated data for all connected exchange accounts.

Pro Tip: Use /api/v1/exchanges/summary/balance_chart_data to retrieve aggregated history across all connected exchange accounts included in your summary portfolio.

Path Parameters

idUUID string / 'summary' required

Unique Quentrade UUID of this exchange account entity (or 'summary' for aggregated portfolio data).

Query Parameters

date_fromstring required

Specifying the start date in ISO 8601 format or UNIX timestamp for the required records.

date_tostring optional

Specifies the end date in ISO 8601 format or UNIX timestamp for the required records.

Example Request

GETGET /api/v1/exchanges/7fa84b80-77a8-4e89-a292-123456789abc/balance_chart_data?date_from=2026-08-01T00:00:00Z

Response Parameters

dateinteger

Timestamp (UNIX time) in seconds representing a specific date.

usdnumber

The portfolio value in USD for a specific date.

btcnumber

The portfolio value in BTC for a specific date.

btc_deposit_amountnumber

The deposited amount in BTC on a specific date.

usd_deposit_amountnumber

The deposited amount in USD on a specific date.

Example Responses

balance_history_200.json
200 OK
[
  {
    "date": 1726617600,
    "usd": 28.59,
    "btc": 0.000475,
    "btc_deposit_amount": 0.0,
    "usd_deposit_amount": 0.0
  },
  {
    "date": 1727873800,
    "usd": 29.31,
    "btc": 0.000481,
    "btc_deposit_amount": 0.0,
    "usd_deposit_amount": 0.0
  }
]